dofile("APP/powerpoint/power.lua")

function movimiento()

if controls.press("circle") then moving=false end

if type(di[diapo].i1.i)=="userdata" then
	if mover[1].x!=di[diapo].i1.x-11+di[diapo].i1.i:width()/2 then mover[1].x=di[diapo].i1.x+di[diapo].i1.i:width()/2-11 end
	if mover[1].y!=di[diapo].i1.y-11+di[diapo].i1.i:height()/2 then mover[1].y=di[diapo].i1.y+di[diapo].i1.i:height()/2-11 end
	mover[1].i:blend(mover[1].x,mover[1].y,mover[1].t)
	mover[1].t=mover[1].t+1
	if mover[1].t>280 then mover[1].t=0 end
end
if type(di[diapo].i2.i)=="userdata" then
	if mover[2].x!=di[diapo].i2.x-11+di[diapo].i2.i:width()/2 then mover[2].x=di[diapo].i2.x+di[diapo].i2.i:width()/2-11 end
	if mover[2].y!=di[diapo].i2.y-11+di[diapo].i2.i:height()/2 then mover[2].y=di[diapo].i2.y+di[diapo].i2.i:height()/2-11 end
	mover[2].i:blend(mover[2].x,mover[2].y,mover[2].t)
	mover[2].t=mover[2].t+1
	if mover[2].t>280 then mover[2].t=0 end
end

if controls.cross() and col(p,mover[1]) then
	mover[1].t=280
	if controls.left() then p.x=p.x-velocidad_puntero di[diapo].i1.x=di[diapo].i1.x-velocidad_puntero end
	if controls.right() then p.x=p.x+velocidad_puntero di[diapo].i1.x=di[diapo].i1.x+velocidad_puntero end
	if controls.up() then p.y=p.y-velocidad_puntero di[diapo].i1.y=di[diapo].i1.y-velocidad_puntero end
	if controls.down() then p.y=p.y+velocidad_puntero di[diapo].i1.y=di[diapo].i1.y+velocidad_puntero end
end
if controls.cross() and col(p,mover[2]) then
	mover[2].t=280
	if controls.left() then p.x=p.x-velocidad_puntero di[diapo].i2.x=di[diapo].i2.x-velocidad_puntero end
	if controls.right() then p.x=p.x+velocidad_puntero di[diapo].i2.x=di[diapo].i2.x+velocidad_puntero end
	if controls.up() then p.y=p.y-velocidad_puntero di[diapo].i2.y=di[diapo].i2.y-velocidad_puntero end
	if controls.down() then p.y=p.y+velocidad_puntero di[diapo].i2.y=di[diapo].i2.y+velocidad_puntero end
end

end